JTS Topology Suite version 1.13

## com.vividsolutions.jts.noding
Interface SegmentStringDissolver.SegmentStringMerger

Enclosing class:
  SegmentStringDissolver

    public static interface SegmentStringDissolver.SegmentStringMerger

A merging strategy which can be used to update the context data of `SegmentString`s which are merged during the dissolve process.

Author:
  mbdavis

Method Summary
`void` `merge(SegmentString mergeTarget, SegmentString ssToMerge, boolean isSameOrientation)` Updates the context data of a SegmentString when an identical (up to orientation) one is found during dissolving.

Method Detail

### merge

    void merge(SegmentString mergeTarget,
               SegmentString ssToMerge,
               boolean isSameOrientation)

  Updates the context data of a SegmentString when an identical (up to orientation) one is found during dissolving.

  Parameters:
    `mergeTarget` - the segment string to update
    `ssToMerge` - the segment string being dissolved
    `isSameOrientation` - `true` if the strings are in the same direction, `false` if they are opposite

JTS Topology Suite version 1.13